<template>
  <div
    v-if="visible"
    class="container"
    id="scroll"
  >
    <button class="scroll-button" @click="scrollToTop">
      <v-icon medium class="white--text">mdi-arrow-up</v-icon>
    </button>
  </div>
</template>


<script>

const SCROLL_HEIGHT = 50;

export default {
  data() {
    return {
      visible:false
    }
  },
  mounted() {
    this.handleScroll();
    window.addEventListener("scroll", this.handleScroll);
  },
  destroy() {
    window.removeEventListener("scroll", this.handleScroll);
  },
  methods:{
    scrollToTop() {
      window.scrollTo(0,0);
    },
    handleScroll() {
      if (window.scrollY > SCROLL_HEIGHT && !this.visible) {
          this.visible = true;
        } else if (window.scrollY <= SCROLL_HEIGHT && this.visible) {
          this.visible = false;
        }
    }

  }
}
</script>

<style lang="scss" scoped>
.container {
  display: flex;
  justify-content: flex-end;
  position: fixed;
  right: 100px;
  top: 90vh;
  width: 100px;
  z-index: 100;
}

.scroll-button {
  align-items: center;
  display: flex;
  height: 50px;
  justify-content: center;
  width: 50px;
  background: #1a3771;
  border-radius: 25px;
  box-shadow:
  0 2.8px 2.2px rgba(0, 0, 0, 0.034),
  0 6.7px 5.3px rgba(0, 0, 0, 0.048),
  0 12.5px 10px rgba(0, 0, 0, 0.06),
  0 22.3px 17.9px rgba(0, 0, 0, 0.072),
  0 41.8px 33.4px rgba(0, 0, 0, 0.086),
  0 100px 80px rgba(0, 0, 0, 0.12);
}
</style>
